ZenLib::BitStream_LE Class Reference

`#include <BitStream_LE.h>`

Inheritance diagram for ZenLib::BitStream_LE:

## Public Member Functions

| BitStream_LE ()
| BitStream_LE (const int8u *Buffer_, size_t Size_)
void | Attach (const int8u *Buffer_, size_t Size_)
int32u | Get (size_t HowMany)
void | Skip (size_t bits)
int32u | Remain ()
void | Byte_Align ()
size_t | Offset_Get ()
size_t | BitOffset_Get ()
size_t | OffsetBeforeLastCall_Get ()
Public Member Functions inherited from ZenLib::BitStream
| BitStream ()
| BitStream (const int8u *Buffer_, size_t Size_)
virtual | ~BitStream ()
bool | GetB ()
int8u | Get1 (size_t HowMany)
int16u | Get2 (size_t HowMany)
int32u | Get4 (size_t HowMany)
int64u | Get8 (size_t HowMany)
void | SkipB ()
void | Skip1 (size_t HowMany)
void | Skip2 (size_t HowMany)
void | Skip4 (size_t HowMany)
void | Skip8 (size_t HowMany)
int32u | Peek (size_t HowMany)
bool | PeekB ()
int8u | Peek1 (size_t HowMany)
int16u | Peek2 (size_t HowMany)
int32u | Peek4 (size_t HowMany)
int32u | Peek3 (size_t HowMany)
int64u | Peek8 (size_t HowMany)
void | BookMarkPos (bool ToSet)

## Constructor & Destructor Documentation

## BitStream_LE() [1/2]

ZenLib::BitStream_LE::BitStream_LE | ( |  | ) |

inline

References ZenLib::BitStream::BitStream(), and NULL.

## BitStream_LE() [2/2]

ZenLib::BitStream_LE::BitStream_LE | ( | const int8u * | Buffer_,
|  | size_t | Size_ )

inline

References Attach(), and ZenLib::BitStream::BitStream().

## Member Function Documentation

## Attach()

void ZenLib::BitStream_LE::Attach | ( | const int8u * | Buffer_,
|  | size_t | Size_ )

inline virtual

Reimplemented from ZenLib::BitStream.

Referenced by BitStream_LE(), and Get().

## BitOffset_Get()

size_t ZenLib::BitStream_LE::BitOffset_Get | ( |  | ) |

inline virtual

Reimplemented from ZenLib::BitStream.

## Byte_Align()

void ZenLib::BitStream_LE::Byte_Align | ( |  | ) |

inline virtual

Reimplemented from ZenLib::BitStream.

References Get().

## Get()

int32u ZenLib::BitStream_LE::Get | ( | size_t | HowMany | ) |

inline virtual

Reimplemented from ZenLib::BitStream.

References Attach(), and NULL.

Referenced by Byte_Align(), and Skip().

## Offset_Get()

size_t ZenLib::BitStream_LE::Offset_Get | ( |  | ) |

inline virtual

Reimplemented from ZenLib::BitStream.

## OffsetBeforeLastCall_Get()

size_t ZenLib::BitStream_LE::OffsetBeforeLastCall_Get | ( |  | ) |

inline virtual

Reimplemented from ZenLib::BitStream.

## Remain()

int32u ZenLib::BitStream_LE::Remain | ( |  | ) |

inline virtual

Reimplemented from ZenLib::BitStream.

## Skip()

void ZenLib::BitStream_LE::Skip | ( | size_t | bits | ) |

inline virtual

Reimplemented from ZenLib::BitStream.

References Get().

The documentation for this class was generated from the following file:

- BitStream_LE.h